Package org.springframework.web.servlet.mvc.method.annotation

# Class ServletResponseMethodArgumentResolver

java.lang.Object
org.springframework.web.servlet.mvc.method.annotation.ServletResponseMethodArgumentResolver

All Implemented Interfaces:
  `org.springframework.web.method.support.HandlerMethodArgumentResolver`

public class ServletResponseMethodArgumentResolver extends Object implements org.springframework.web.method.support.HandlerMethodArgumentResolver
Resolves servlet backed response-related method arguments. Supports values of the following types:

- `ServletResponse`
- `OutputStream`
- `Writer`

Since:
  3.1
Author:
  Arjen Poutsma, Rossen Stoyanchev, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ServletResponseMethodArgumentResolver()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`resolveArgument(org.springframework.core.MethodParameter parameter, org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest webRequest, org.springframework.web.bind.support.WebDataBinderFactory binderFactory)`
Set `ModelAndViewContainer.setRequestHandled(boolean)` to `false` to indicate that the method signature provides access to the response.
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletResponseMethodArgumentResolver

public ServletResponseMethodArgumentResolver()

## Method Details

### supportsParameter

public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`

### resolveArgument

public Object resolveArgument(org.springframework.core.MethodParameter parameter, @Nullable org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest webRequest, @Nullable org.springframework.web.bind.support.WebDataBinderFactory binderFactory) throws Exception
Set `ModelAndViewContainer.setRequestHandled(boolean)` to `false` to indicate that the method signature provides access to the response. If subsequently the underlying method returns `null`, the request is considered directly handled.

Specified by:
  `resolveArgument` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`
Throws:
  `Exception`